Vulnerability   
Search   
    Search 219043 CVE descriptions
and 99761 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.852547
Category:SuSE Local Security Checks
Title:openSUSE: Security Advisory for libpng16 (openSUSE-SU-2019:1530-1)
Summary:The remote host is missing an update for the 'libpng16'; package(s) announced via the openSUSE-SU-2019:1530-1 advisory.
Description:Summary:
The remote host is missing an update for the 'libpng16'
package(s) announced via the openSUSE-SU-2019:1530-1 advisory.

Vulnerability Insight:
This update for libpng16 fixes the following issues:

Security issues fixed:

- CVE-2019-7317: Fixed a use-after-free vulnerability, triggered when
png_image_free() was called under png_safe_execute (bsc#1124211).

- CVE-2018-13785: Fixed a wrong calculation of row_factor in the
png_check_chunk_length function in pngrutil.c, which could haved
triggered and integer overflow and result in a divide-by-zero while
processing a crafted PNG file, leading to a denial of service
(bsc#1100687)

This update was imported from the SUSE:SLE-15:Update update project.

Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or 'zypper patch'.

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2019-1530=1

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2019-1530=1

Affected Software/OS:
'libpng16' package(s) on openSUSE Leap 15.0.

Solution:
Please install the updated package(s).

CVSS Score:
4.3

CVSS Vector:
AV:N/AC:M/Au:N/C:N/I:N/A:P

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2019-7317
BugTraq ID: 108098
http://www.securityfocus.com/bid/108098
Bugtraq: 20190417 [slackware-security] libpng (SSA:2019-107-01) (Google Search)
https://seclists.org/bugtraq/2019/Apr/30
Bugtraq: 20190429 [SECURITY] [DSA 4435-1] libpng1.6 security update (Google Search)
https://seclists.org/bugtraq/2019/Apr/36
Bugtraq: 20190522 [slackware-security] mozilla-firefox (SSA:2019-141-01) (Google Search)
https://seclists.org/bugtraq/2019/May/56
Bugtraq: 20190523 [SECURITY] [DSA 4448-1] firefox-esr security update (Google Search)
https://seclists.org/bugtraq/2019/May/59
Bugtraq: 20190527 [SECURITY] [DSA 4451-1] thunderbird security update (Google Search)
https://seclists.org/bugtraq/2019/May/67
https://security.netapp.com/advisory/ntap-20190719-0005/
https://support.hpe.com/hpsc/doc/public/display?docLocale=en_US&docId=emr_na-hpesbst03977en_us
Debian Security Information: DSA-4435 (Google Search)
https://www.debian.org/security/2019/dsa-4435
Debian Security Information: DSA-4448 (Google Search)
https://www.debian.org/security/2019/dsa-4448
Debian Security Information: DSA-4451 (Google Search)
https://www.debian.org/security/2019/dsa-4451
https://security.gentoo.org/glsa/201908-02
http://packetstormsecurity.com/files/152561/Slackware-Security-Advisory-libpng-Updates.html
https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=12803
https://github.com/glennrp/libpng/issues/275
https://www.oracle.com/security-alerts/cpuApr2021.html
https://www.oracle.com/technetwork/security-advisory/cpujul2019-5072835.html
https://lists.debian.org/debian-lts-announce/2019/05/msg00032.html
https://lists.debian.org/debian-lts-announce/2019/05/msg00038.html
RedHat Security Advisories: RHSA-2019:1265
https://access.redhat.com/errata/RHSA-2019:1265
RedHat Security Advisories: RHSA-2019:1267
https://access.redhat.com/errata/RHSA-2019:1267
RedHat Security Advisories: RHSA-2019:1269
https://access.redhat.com/errata/RHSA-2019:1269
RedHat Security Advisories: RHSA-2019:1308
https://access.redhat.com/errata/RHSA-2019:1308
RedHat Security Advisories: RHSA-2019:1309
https://access.redhat.com/errata/RHSA-2019:1309
RedHat Security Advisories: RHSA-2019:1310
https://access.redhat.com/errata/RHSA-2019:1310
RedHat Security Advisories: RHSA-2019:2494
https://access.redhat.com/errata/RHSA-2019:2494
RedHat Security Advisories: RHSA-2019:2495
https://access.redhat.com/errata/RHSA-2019:2495
RedHat Security Advisories: RHSA-2019:2585
https://access.redhat.com/errata/RHSA-2019:2585
RedHat Security Advisories: RHSA-2019:2590
https://access.redhat.com/errata/RHSA-2019:2590
RedHat Security Advisories: RHSA-2019:2592
https://access.redhat.com/errata/RHSA-2019:2592
RedHat Security Advisories: RHSA-2019:2737
https://access.redhat.com/errata/RHSA-2019:2737
SuSE Security Announcement: openSUSE-SU-2019:1484 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2019-06/msg00002.html
SuSE Security Announcement: openSUSE-SU-2019:1534 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2019-06/msg00029.html
SuSE Security Announcement: openSUSE-SU-2019:1664 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2019-06/msg00084.html
SuSE Security Announcement: openSUSE-SU-2019:1912 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2019-08/msg00044.html
SuSE Security Announcement: openSUSE-SU-2019:1916 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2019-08/msg00038.html
https://usn.ubuntu.com/3962-1/
https://usn.ubuntu.com/3991-1/
https://usn.ubuntu.com/3997-1/
https://usn.ubuntu.com/4080-1/
https://usn.ubuntu.com/4083-1/
CopyrightCopyright (C) 2019 Greenbone Networks GmbH

This is only one of 99761 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2021 E-Soft Inc. All rights reserved.